// PIC16F917 Configuration Bit Settings
// 'C' source line config statements
// CONFIG
#pragma config FOSC = INTOSCIO  // Oscillator Selection bits (INTOSCIO oscillator: I/O function on RA6/OSC2/CLKOUT/T1OSO pin, I/O function on RA7/OSC1/CLKIN/T1OSI)
#pragma config WDTE = OFF       // Watchdog Timer Enable bit (WDT disabled and can be enabled by SWDTEN bit of the WDTCON register)
#pragma config PWRTE = OFF      // Power Up Timer Enable bit (PWRT disabled)
#pragma config MCLRE = ON       // RE3/MCLR pin function select bit (RE3/MCLR pin function is MCLR)
#pragma config CP = OFF         // Code Protection bit (Program memory code protection is disabled)
#pragma config CPD = OFF        // Data Code Protection bit (Data memory code protection is disabled)
#pragma config BOREN = OFF      // Brown-out Reset Selection bits (BOR disabled)
#pragma config IESO = OFF       // Internal External Switchover bit (Internal/External Switchover mode is disabled)
#pragma config FCMEN = OFF      // Fail-Safe Clock Monitor Enabled bit (Fail-Safe Clock Monitor is disabled)

#include <xc.h>
#include "lcd.h"
#include "SI114X.h"

#define _XTAL_FREQ 8000000

unsigned int  UV,count=0;

unsigned char cUV,jUV,dUV;

void main() {
    
    OSCCON =0x7C;   //wewnetrzny oscylator 8mhz
	TRISBbits.TRISB5  = 0; //wyjscie RB5
    PORTBbits.RB5 = 0; //podtrzymanie zasilania
    initLcd();
    __delay_ms(100);
    initSI114X();
    do{ 
       UV=readUV(); //zwraca wartosc UV *100
       UV/=10;
       if(UV<100)
         D2DOT = 1;    //kropka srodek wlaczona
       else{
         D2DOT = 0;  //kropka srodek wylaczona
         UV/=10;
       }
       cUV=(char)UV;
       jUV=cUV%10;
       dUV=cUV/10;
           
       displayNumber(1,dUV);     //cyfra dziesiatek
       displayNumber(2,jUV);     //cyfra jednostek
    
       __delay_ms(100); //10 pomiarw na sekunde
       count++;
       if(count>150) //pow 15 sekundach wylaczenie zasilania
           break;
  }while(1);
  PORTBbits.RB5 = 1; //wylaczenie zasilania
  while(1);  
}



